--- old/usr/src/pkg/manifests/system-fru-id.mf	2014-04-11 13:24:15.816009172 +0100
+++ new/usr/src/pkg/manifests/system-fru-id.mf	2014-04-11 13:24:15.824649160 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/fru-id@$(PKGVERS)
@@ -31,15 +32,15 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 $(sparc_ONLY)dir path=usr/sbin
 dir path=usr/share/man/man1m
-file path=usr/lib/$(ARCH64)/libfru.so.1
-$(sparc_ONLY)file path=usr/lib/$(ARCH64)/libfrupicl.so.1
-file path=usr/lib/$(ARCH64)/libfruraw.so.1
-file path=usr/lib/$(ARCH64)/libfrureg.so.1
-file path=usr/lib/$(ARCH64)/libfruutils.so.1
-file path=usr/lib/$(ARCH64)/libnvfru.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfru.so.1
+$(sparc_BUILD64)file path=usr/lib/$(ARCH64)/libfrupicl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfruraw.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfrureg.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfruutils.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libnvfru.so.1
 file path=usr/lib/libfru.so.1
 $(sparc_ONLY)file path=usr/lib/libfrupicl.so.1
 $(sparc_ONLY)file path=usr/lib/libfrupicltree.so.1
@@ -53,13 +54,13 @@
     name="FRU ID Utility and Library (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libfru.so target=./libfru.so.1
-$(sparc_ONLY)link path=usr/lib/$(ARCH64)/libfrupicl.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfru.so target=./libfru.so.1
+$(sparc_BUILD64)link path=usr/lib/$(ARCH64)/libfrupicl.so \
     target=./libfrupicl.so.1
-link path=usr/lib/$(ARCH64)/libfruraw.so target=./libfruraw.so.1
-link path=usr/lib/$(ARCH64)/libfrureg.so target=./libfrureg.so.1
-link path=usr/lib/$(ARCH64)/libfruutils.so target=./libfruutils.so.1
-link path=usr/lib/$(ARCH64)/libnvfru.so target=./libnvfru.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfruraw.so target=./libfruraw.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfrureg.so target=./libfrureg.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfruutils.so target=./libfruutils.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnvfru.so target=./libnvfru.so.1
 link path=usr/lib/libfru.so target=./libfru.so.1
 $(sparc_ONLY)link path=usr/lib/libfrupicl.so target=./libfrupicl.so.1
 $(sparc_ONLY)link path=usr/lib/libfrupicltree.so target=./libfrupicltree.so.1
